Page MenuHomePhabricator

Clicking on popup sometimes does nothing (doesn't lead to article)
Closed, ResolvedPublic

Description

  1. View https://en.wikipedia.org/wiki/Goldfinger_(film)
  2. Hover link for Shirley Bassey in Music section.
  3. Observe article excerpt and image showing and pointer cursor.
  4. Click

Note: This seems to only happen occasionally and it's unclear what the replication steps are. Currently only @Krinkle has been able to replicate (Adam, Nirzar, Jon Katz, Prateek and myself have all tried)

Actual result:

No navigation, and no error indication.

Console:

Uncaught TypeError: Cannot read property 'attr' of undefined

Originates from


	mw.popups.render.clickHandler = function ( event ) {
		..
		if ( mw.popups.render.logEvent.action .. ) {
			mw.popups.logger.log( .. ).then( function () {
>				window.location.href = mw.popups.render.currentLink.attr( 'href' ); <
			} );

It should probably keep a closure reference based on context to the anchor element instead of relying on global static properties (e.g. pass as parameter, property of event, or as this context). Especially when things are asynchronous, such as the case here.

Event Timeline

Krinkle created this task.Nov 5 2015, 4:06 AM
Krinkle raised the priority of this task from to Unbreak Now!.
Krinkle updated the task description. (Show Details)
Krinkle added a project: Page-Previews.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2015, 4:06 AM
Krinkle renamed this task from Clicking on popup does nothing (doesn't lead to article) to Clicking on popup sometimes does nothing (doesn't lead to article).Nov 5 2015, 4:12 AM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.

I am not able to replicate this

. Is this happening every time for you, or only under certain conditions?

I am not able to replicate this

. Is this happening every time for you, or only under certain conditions?

^ @Krinkle?

(Plus should this really be "Unbreak now" priority? I don't think so)

I am not able to replicate this

. Is this happening every time for you, or only under certain conditions?

It happens under certain conditions. I'm not yet able to reproduce it on-demand. Might relate to how long a tab is open, or switching between tabs or some other activity on the page triggering the bug.

should this really be "Unbreak now" priority?

As long as this is not enabled by default, the damage is minimal indeed. However when triggered, this bug causes a fundamental inability to navigate to an article by methods that users expect to work (clicking on a wiki link). That seems like a really core feature of our platform to not consider UBN when broken.

Jdlrobson lowered the priority of this task from Unbreak Now! to High.Nov 30 2015, 9:32 PM
Jdlrobson added a subscriber: Jdlrobson.

Given this is beta status [1] and difficulty replicating UBN is a bit extreme but should be looked into sooner rather than later.

[1] https://www.mediawiki.org/wiki/Extension:Popups

Jdlrobson lowered the priority of this task from High to Normal.Mar 22 2016, 9:45 PM
Jdlrobson updated the task description. (Show Details)
Krinkle closed this task as Resolved.Mar 29 2016, 9:48 PM
Krinkle claimed this task.

Highest priority is T92932: Hover card often gets stuck in "open" state. Closing this for now.